summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /media-gfx/evoluspencil
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'media-gfx/evoluspencil')
-rw-r--r--media-gfx/evoluspencil/Manifest1
-rw-r--r--media-gfx/evoluspencil/evoluspencil-2.0.5.ebuild44
-rw-r--r--media-gfx/evoluspencil/files/launcher9
-rw-r--r--media-gfx/evoluspencil/metadata.xml10
4 files changed, 64 insertions, 0 deletions
diff --git a/media-gfx/evoluspencil/Manifest b/media-gfx/evoluspencil/Manifest
new file mode 100644
index 00000000000..3453d2aebaa
--- /dev/null
+++ b/media-gfx/evoluspencil/Manifest
@@ -0,0 +1 @@
+DIST pencil-2.0.5.tar.gz 4810418 SHA256 a07e855de89f99b35f93f6916b50cdef1be00d8d53aa57748197a38bc0b2c566 SHA512 cb9ab75f69ca886c7b0579dd293e4c4b4279eac21f4301ad0299e55b27d998d59f7b9444916d306939e6c7f4603a8267aecd3dc0ab3efc41175659886e399b0d WHIRLPOOL 171d2f6aac8862ca3482824680e720562dbb667e1d7186a0b144116a1a9a7b6540a4885db8a28df3237f21221f3728624f77206b0cac70fec511872d48859732
diff --git a/media-gfx/evoluspencil/evoluspencil-2.0.5.ebuild b/media-gfx/evoluspencil/evoluspencil-2.0.5.ebuild
new file mode 100644
index 00000000000..2142d4aeedd
--- /dev/null
+++ b/media-gfx/evoluspencil/evoluspencil-2.0.5.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2014 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+MY_P="pencil-${PV}"
+
+inherit fdo-mime
+
+DESCRIPTION="A simple GUI prototyping tool to create mockups"
+HOMEPAGE="http://pencil.evolus.vn/"
+SRC_URI="http://${PN}.googlecode.com/files/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE=""
+
+RDEPEND="|| ( www-client/firefox www-client/firefox-bin )"
+
+S=${WORKDIR}/${MY_P}
+
+src_prepare() {
+ # avoid file collisions with media-gfx/pencil
+ mv usr/bin/{pencil,${PN}} || die
+ mv usr/share/{pencil,${PN}} || die
+ mv usr/share/applications/{pencil,${PN}}.desktop || die
+
+ sed -e "s/pencil/${PN}/" -i usr/bin/${PN} \
+ -i usr/share/applications/${PN}.desktop || die
+}
+
+src_install() {
+ doins -r usr
+ newbin "${FILESDIR}"/launcher ${PN}
+}
+
+pkg_postinst() {
+ fdo-mime_desktop_database_update
+}
+
+pkg_postrm() {
+ fdo-mime_desktop_database_update
+}
diff --git a/media-gfx/evoluspencil/files/launcher b/media-gfx/evoluspencil/files/launcher
new file mode 100644
index 00000000000..4ac04e8c8c8
--- /dev/null
+++ b/media-gfx/evoluspencil/files/launcher
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+if [ -x /usr/bin/firefox ] ; then
+ /usr/bin/firefox --app "/usr/share/evoluspencil/application.ini"
+elif [ -x /usr/bin/firefox-bin ] ; then
+ /usr/bin/firefox-bin --app "/usr/share/evoluspencil/application.ini"
+else
+ echo Could not execute required /usr/bin/firefox or /usr/bin/firefox-bin
+fi
diff --git a/media-gfx/evoluspencil/metadata.xml b/media-gfx/evoluspencil/metadata.xml
new file mode 100644
index 00000000000..d9ed6a30d4c
--- /dev/null
+++ b/media-gfx/evoluspencil/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer>
+ <email>kensington@gentoo.org</email>
+ </maintainer>
+ <upstream>
+ <remote-id type="google-code">evoluspencil</remote-id>
+ </upstream>
+</pkgmetadata>